0 Replies Latest reply on Mar 23, 2007 1:11 PM by Jighead52

    Upgraded FlexBuilder to 2.01 .. Now CF App wizard won't compile projects.

    Jighead52
      Hi,
      I just installed the upgrade for flexbuilder 2.01. Was working on a cf application wizard project and got to the end and found out the compiler won't work. Googled for an answer and found info that says a change was made late in the release that is causing this. Seems you now need to add an addtional argument -context-root "" in the complier string.


      Context root for server-based projects - The New Project Wizard now allows you to specify a context root when creating a Flex Data Services (FDS) or ColdFusion project. The context root is a name assigned when deploying a J2EE web application (FDS and ColdFusion are considered “web applications” from the J2EE perspective). It distinguishes one web application from another web application on the server and forms part of its root URL. The Flex services configuration needs to know this value in order to construct the correct URLs to the FDS or ColdFusion root. If it is incorrect, Flex services may throw errors at runtime relating to unreachable server URLs.

      Note: ColdFusion servers that use the standard configuration (that is, they don't use the multiserver or J2EE configurations) can leave this setting at its default value. However, if you created projects with the 2.0.0 version of the ColdFusion Extensions for Flex Builder, you must add -context-root "" to the additional compiler arguments in order to compile with Flex Builder 2.0.1. For more information, see the Flex Team Blog.


      However this does not work for me.
      It does not compile. I've tried a number of things but none seem to work. Is there anyone here who can shed some light or has a work around that does work?
      Thanks